Create a submission
POST
/v1/collection-delivery-batches/{collectionDeliveryBatchId}/submissionscurl -X POST 'https://api.embodiflow.io/v1/collection-delivery-batches/{collectionDeliveryBatchId}/submissions' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- collectionDeliveryBatchIdstring必填
请求头参数
- Idempotency-Keystring
Optional idempotency key, at most 255 characters (UUIDv4 recommended). A repeated key returns the first response byte-for-byte, including a 5xx. The same key with a different body, or a second in-flight request, returns 409 IDEMPOTENCY_CONFLICT. Keys are unique per tenant and retained for 24 hours.
响应
Success
- dataobject必填
- idstring必填
- statusstring必填
- reviewTaskIdstring | null必填
- workflowRunIdstring | null必填
- datasetVersionIdstring | null必填
- machineVerdictobject必填
响应示例
{
"data": {
"id": "string",
"status": "string",
"reviewTaskId": "string",
"workflowRunId": "string",
"datasetVersionId": "string",
"machineVerdict": {
"contractVersion": "embodiflow-collection-delivery/v1",
"criteriaId": "embodiflow-collection-delivery/v1",
"criteriaVersion": 0,
"criteriaHash": "string",
"generatedAt": "string",
"sourceWorkflowRunId": "string",
"sourceDatasetVersionId": "string",
"overall": "error",
"quality": {
"status": "warn",
"blockingFailCount": 0,
"summaries": [
{
"status": "warn",
"checkId": "string",
"count": 0
}
]
},
"alignment": {
"status": "warn",
"checkIds": [
"string"
]
},
"composition": {
"status": "warn",
"profileId": "string",
"inputDigest": "string"
}
}
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1